Issue 80184 - can't add SVG draw documents to gallery via API
Summary: can't add SVG draw documents to gallery via API
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: 680m220
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: ooo
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 15186
  Show dependency tree
 
Reported: 2007-07-30 18:05 UTC by kami911
Modified: 2017-05-20 10:34 UTC (History)
4 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Test case (12.20 KB, text/plain)
2007-07-30 18:05 UTC, kami911
no flags Details
how about this ? (3.14 KB, patch)
2010-08-25 20:30 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description kami911 2007-07-30 18:05:23 UTC
We want to add lots of SVG draw documents to gallery via api using OOoBasic and
external filter (http://wiki.services.openoffice.org/wiki/SVG_Import_Filter).
But we can't find the right way to do this. I attach our macro that travel a
directory and pic up the files.
"
The macro, as it stands, will now open a draw document, but I can not
add the draw document into the gallery. I have a question on the dev
mailing list since the API looks like it can handle that.
"
Here is our macro:
(http://www.pitonyak.org/OOoGalleryImport.odt)
I also attach it.
Comment 1 kami911 2007-07-30 18:05:58 UTC
Created attachment 47209 [details]
Test case
Comment 2 ooo 2007-07-31 13:58:00 UTC
accepted, set target to OOo 2.4.
Comment 3 kami911 2007-09-12 22:21:36 UTC
I stay tuned. I have a dream to enhance my gallery extension as soon as this
problem will be solved. I hope it happens sooner than later. Can I help somehow
the development?
Comment 4 kami911 2007-11-11 13:40:03 UTC
I do not know why is it on me. KA can you solve this issue somehow for 2.4?
Comment 5 Martin Hollmichel 2008-01-28 03:05:18 UTC
set target 3.0
Comment 6 ooo 2008-06-06 13:27:14 UTC
changed target to OOo 3.x
Comment 7 bernhard 2009-08-06 22:11:39 UTC
added myself to CC
Comment 8 caolanm 2010-08-25 20:30:37 UTC
Created attachment 71395 [details]
how about this ?
Comment 9 caolanm 2010-08-25 20:33:37 UTC
How about this to pull the first normal (non-handout etc.) page out of the
drawing document and munge it into the little cut-down "GalleryDrawingModel"
model which supports a single page that insertDrawingByIndex expects to get (but
which doesn't seem possible to otherwise generate)
Comment 10 Pedro Giffuni 2011-10-12 19:04:07 UTC
Committed the patch in revision 1182525.

Thanks!